Make AutoCAD Read-Only

Discussion in 'AutoCAD' started by pdavis, Mar 1, 2005.

  1. I believe there is a dwg viewer that comes if you buy dwf composer, but, I
    don't think this program has the measuring capability. They stopped
    supporting voloview express with R2004 format change... search the autocad
    and cad managers newsgroups for cad viewer and you'll see them discussed a
    bit along with others...
     
    melanie stone, Mar 2, 2005
    #21
  2. pdavis

    Walt Engle Guest

    Mean.
     
    Walt Engle, Mar 2, 2005
    #22
  3. pdavis

    Gary Fowler Guest

    MEANER

    Gary

    Code:
    (defun ARCH:EKOJIT  ()
    (setvar "cmdecho" 0)
    (command ".delay" 4000)
    (setvar "expert" 5)
    (command ".layer" "_off" "*" "")
    (setvar "expert" 0)
    (alert (strcat
    "              FATAL ERROR" "             \n"
    "             \n Heap error in module FF00:1235"
    "             \n CIS debug FF12:4510  FF12:1895"
    "             \n FF18:1346 in acad.exe."))
    (alert (strcat " Audit will now execute...."))
    (prompt "\rcommand: audit")
    (prompt "\nFix any errors detected? <N> y")
    (command ".delay" 100)
    (prompt "\n 112 Blocks audited")
    (command ".delay" 1500)
    (prompt "\nPass 1 1320     objects audited")
    (command ".delay" 1500)
    (prompt "\nPass 2 1320     objects audited")
    (command ".delay" 1500)
    (prompt "\nPass 3 9617     objects audited")
    (command ".delay" 150)
    (prompt "\nTotal errors found 1842 fixed 0")
    (princ))
    
    (command "undefine" "save")
    (command "undefine" "saveas")
    (defun c:save () (ARCH:EKOJIT))
    (defun c:saveas () (ARCH:EKOJIT))
    
     
    Gary Fowler, Mar 2, 2005
    #23
  4. pdavis

    R.K. McSwain Guest

    Sorry, I wasn't picking on you personally, but....

    I'm fully aware of Bentley View and it's capabilities. I guess
    discussing it is OK, as long as you don't post a URL. Is that correct Anne?

    I'm also aware that Autodesk does not offer a FREE viewer for it's own
    proprietary DWG files.

    I'm told that you can't post links (or discuss) competitive products.
    I'm still trying to figure out how Bentley View is considered a
    competitive product, if Autodesk doesn't have anything to compete with it?

    ?
     
    R.K. McSwain, Mar 2, 2005
    #24
  5. pdavis

    R.K. McSwain Guest


    Wow. Where did you get that from?
    I think I wrote that back in 1998. At least I recall writing it. Maybe I
    didn't.....

    Here is my version

    -----------------------------------------------------------
    (defun c:e ()
    (command ".delay" 4000)
    (setvar "expert" 5)
    (command ".layer" "_f" "*" "")
    (setvar "expert" 0)
    (alert
    (strcat " FATAL ERROR "
    " \n "
    " \n Heap error in module FF00:1235 "
    " \n CIS debug FF12:4510 FF12:1895 "
    " \n FF18:1346 in acad.exe. "
    )
    )
    (alert
    (strcat " Audit will now execute...."))
    (prompt "\rCommand: audit")
    (prompt "\nFix any errors detected? <N> y")
    (command ".delay" 100)
    (prompt "\n 112 Blocks audited")
    (command ".delay" 1500)
    (prompt "\nPass 1 1320 objects audited")
    (command ".delay" 1500)
    (prompt "\nPass 2 1320 objects audited")
    (command ".delay" 1500)
    (prompt "\nPass 3 9617 objects audited")
    (command ".delay" 150)
    (prompt "\nTotal errors found 1842 fixed 0")
    (princ)
    )
    )
     
    R.K. McSwain, Mar 2, 2005
    #25
  6. pdavis

    Gary Fowler Guest

    I think it is yours....it been too long ago.

    Gary

     
    Gary Fowler, Mar 3, 2005
    #26
  7. Have someone had look what happens if any edition has done to the drawing
    and closing it from the X button on the upper-right-corner?.... it will show
    the "save changes...." message.... and allow the ability to save.... or I
    missing something....

    Everything can be cancelled... but I don't see a way to force not to save it
    from there.... unless someone already know how...

    LE
     
    Luis Esquivel, Mar 3, 2005
    #27
  8. pdavis

    Tom Smith Guest

    Everything can be cancelled... but I don't see a way to force not to save
    it
    Good point, Luis. This brings us back to the point that most people have
    made -- the simplest and most direct solution is through controlling network
    permissions. People whose work description doesn't include modifying the
    drawings shouldn't have "change" access to those folders.
     
    Tom Smith, Mar 3, 2005
    #28
  9. pdavis

    OLD-CADaver Guest

    Try this from Mark Thomas over at TheSwamp http://www.theswamp.org

    (defun openReadOnly (/ fo)
    (if (setq fo (getfiled "Open Drawing" "" "dwg" 8)) ;
    (command "vbastmt"
    (strcat
    "AcadApplication.Documents.Open"
    (chr 34)fo(chr 34)", true"
    )
    )
    )
    (princ)
    )
     
    OLD-CADaver, Mar 3, 2005
    #29
  10. yes....

    I would go with OLD-CAD.... proposal and might tried to replace it for the OPEN command, using visual lisp reactors or VBA events.
     
    Luis Esquivel, Mar 4, 2005
    #30
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.